unit Base;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Grids, Wwdbigrd, Wwdbgrid, DBCtrls;

type
  TfmBase = class(TForm)
    GroupBox1: TGroupBox;
    Splitter1: TSplitter;
    ScrollBox1: TScrollBox;
    wwDBGrid1: TwwDBGrid;
    Shape1: TShape;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText3: TDBText;
    DBText4: TDBText;
    DBText5: TDBText;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DBText6: TDBText;
    Label4: TLabel;
    DBText7: TDBText;
    Label5: TLabel;
    DBText8: TDBText;
    Label6: TLabel;
    DBText9: TDBText;
    Shape2: TShape;
    Label7: TLabel;
    DBText10: TDBText;
    Label8: TLabel;
    DBText11: TDBText;
    Shape3: TShape;
    Button_Del: TButton;
    Button1: TButton;
    Button_Add: TButton;
    Label9: TLabel;
    DBText12: TDBText;
    Label_username: TLabel;
    DBText_Username: TDBText;
    Label_Dchange: TLabel;
    DBText_Dchange: TDBText;
    procedure wwDBGrid1TitleButtonClick(Sender: TObject;
      AFieldName: String);
    procedure Button_DelClick(Sender: TObject);
    procedure Button_AddClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure wwDBGrid1RowChanged(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmBase: TfmBase;

implementation
uses data_module,add, Main;
{$R *.dfm}

procedure TfmBase.wwDBGrid1TitleButtonClick(Sender: TObject;
  AFieldName: String);
begin
dm.tPeople.Sort:=AFieldName;
end;

procedure TfmBase.Button_DelClick(Sender: TObject);
begin
if fmMain.user_acces>2 then begin
ShowMessage('    '+#13+' !');
exit;
end;
dm.tPeople.Delete;
end;

procedure TfmBase.Button_AddClick(Sender: TObject);
begin
fmAdd:=TfmAdd.Create(self);
dm.tPeople.Insert;
fmAdd.ShowModal;
fmAdd.Free;
end;

procedure TfmBase.FormCreate(Sender: TObject);
begin
dm.ADOConnection.Connected:=True;
dm.tPeople.Active:=True;
dm.tProf.Active:=True;
dm.tOtdel.Active:=True;
dm.tProf.Locate('id',dm.tPeople.FieldByName('prof').AsInteger,[]);
dm.tOtdel.Locate('id',dm.tPeople.FieldByName('otdel').AsInteger,[]);
if fmMain.user_acces<2 then begin
Label_username.Visible:=true;
Label_Dchange.Visible:=true;
DBText_Username.Visible:=True;
DBText_Dchange.Visible:=True;
end else
begin
dm.tPeople.FieldByName('username').Visible:=False;
dm.tPeople.FieldByName('Dchange').Visible:=False;
end;
end;

procedure TfmBase.FormClose(Sender: TObject; var Action: TCloseAction);
begin
dm.tPeople.Active:=False;
dm.tOtdel.Active:=False;
dm.tProf.Active:=False;
dm.ADOConnection.Connected:=False;
end;

procedure TfmBase.wwDBGrid1RowChanged(Sender: TObject);
begin
dm.tProf.Locate('id',dm.tPeople.FieldByName('prof').AsInteger,[]);
dm.tOtdel.Locate('id',dm.tPeople.FieldByName('otdel').AsInteger,[]);
end;

procedure TfmBase.Button1Click(Sender: TObject);
begin
fmAdd:=TfmAdd.Create(self);
fmAdd.Caption:=' ';
dm.tPeople.Edit;
fmAdd.ShowModal;
fmAdd.Free;
end;

end.
