unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, ToolWin, ActnMan, ActnCtrls, ActnMenus, ExtCtrls,
  StdCtrls, jpeg;

type
  TfmMain = class(TForm)
    ActionManager1: TActionManager;
    ActionMainMenuBar1: TActionMainMenuBar;
    AExit: TAction;
    Image1: TImage;
    ASprUsers: TAction;
    ASprProf: TAction;
    ASprOtdel: TAction;
    ABase: TAction;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure AExitExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ASprUsersExecute(Sender: TObject);
    procedure ASprProfExecute(Sender: TObject);
    procedure ASprOtdelExecute(Sender: TObject);
    procedure ABaseExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    user_name:string;
    user_acces:integer;
  end;

var
  fmMain: TfmMain;

implementation
{$R *.dfm}
uses pass, spr_users, spr_prof, spr_otdel, base;
procedure TfmMain.AExitExecute(Sender: TObject);
begin
close;
end;

procedure TfmMain.FormShow(Sender: TObject);
begin
if user_name='' then begin
 fmPass:=TfmPass.Create(self);
 fmPass.ShowModal;
 fmPass.Free;
 if user_acces=-1 then close;
end;

end;

procedure TfmMain.ASprUsersExecute(Sender: TObject);
begin
if user_acces>0 then begin
ShowMessage('    '+#13+'   ');
exit;
end;
fmSprUsers:=TfmSprUsers.Create(self);
fmSprUsers.ShowModal;
fmSprUsers.Free;
end;

procedure TfmMain.ASprProfExecute(Sender: TObject);
begin
if user_acces>1 then begin
ShowMessage('    '+#13+'   ');
exit;
end;
fmSprProf:=TfmSprProf.Create(self);
fmSprProf.ShowModal;
fmSprProf.Free;
end;

procedure TfmMain.ASprOtdelExecute(Sender: TObject);
begin
if user_acces>1 then begin
ShowMessage('    '+#13+'   ');
exit;
end;
fmSprOtdel:=TfmSprOtdel.Create(self);
fmSprOtdel.ShowModal;
fmSprOtdel.Free;
end;

procedure TfmMain.ABaseExecute(Sender: TObject);
begin
fmBase:=TfmBase.Create(self);
fmBase.ShowModal;
fmBase.Free;
end;

end.
